<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\CloudAPIThreadControlNotification;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CloudAPIThreadControlNotificationContent extends \Google\Protobuf\Internal\Message
{
    


    protected $handoffNotificationText = null;
    


    protected $extraJson = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getHandoffNotificationText()
    {
        return isset($this->handoffNotificationText) ? $this->handoffNotificationText : '';
    }

    public function hasHandoffNotificationText()
    {
        return isset($this->handoffNotificationText);
    }

    public function clearHandoffNotificationText()
    {
        unset($this->handoffNotificationText);
    }

    




    public function setHandoffNotificationText($var)
    {
        GPBUtil::checkString($var, True);
        $this->handoffNotificationText = $var;

        return $this;
    }

    



    public function getExtraJson()
    {
        return isset($this->extraJson) ? $this->extraJson : '';
    }

    public function hasExtraJson()
    {
        return isset($this->extraJson);
    }

    public function clearExtraJson()
    {
        unset($this->extraJson);
    }

    




    public function setExtraJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->extraJson = $var;

        return $this;
    }

}

